package extend.pk.room.state;

import com.game.Global;
import com.game.data.Player;
import com.game.state.StateBase;
import extend.pk.EXActionEvent;
import extend.pk.EXRoom;
import extend.pk.player.state.EXPlayerPiaoNiaoTipState;

import java.util.Map.Entry;

public class EXRoomPiaoState  extends StateBase<EXRoom>{

	@Override
	public void enter(EXRoom owner) {
		owner.piaoCount = owner.maxPlayers;
		for (Entry<Integer, Player> entry : owner.playerMapById.entrySet()) {
			Player player = entry.getValue();
			player.stateMachine.changeState(Global.getState(EXPlayerPiaoNiaoTipState.class));
		}
	}
	
	public void execute(EXRoom owner, String cmd, int gid, Object param) {

	}
}
